aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh
diff options
context:
space:
mode:
authorTero Heikkinen <tero.heikkinen@qt.io>2023-06-09 10:49:57 +0300
committerTero Heikkinen <tero.heikkinen@qt.io>2023-10-13 11:21:55 +0300
commiteb0c9fa8f015e9044f26732ea1978cbbe45722fb (patch)
tree9f597e98e9be00fd6582d049d8abd67221c2fae6 /coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh
parenta76778a16d106cb2c99f652c3fc07c6c97799575 (diff)
Upgrade RHEL 9.0 to version 9.2
RHEL 9.2 will replace RHEL 9.0 in yaml configurations at first and RHEL 9.0 scripts are still kept for some time. RHEL 9.0 scripts will be removed later. Task-number: QTQAINFRA-5853 Change-Id: Iff463f26ba6bcb7962b4f8bafbf88aa7c13392c1 (cherry picked from commit 9ea71ea245644a2c0d78b0a3f9a9964e151ef318) Reviewed-by: Heikki Halmet <heikki.halmet@qt.io> Reviewed-by: Qt CI Bot <qt_ci_bot@qt-project.org>
Diffstat (limited to 'coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh')
-rw-r--r--coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh b/coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh
new file mode 100644
index 00000000..b51085ea
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-9.2-x86_64/90-mimer.sh
@@ -0,0 +1,45 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2023 The Qt Company Ltd.
+## Contact: https://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see https://www.qt.io/terms-conditions. For further
+## information use the contact form at https://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 3 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL3 included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 3 requirements
+## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 2.0 or (at your option) the GNU General
+## Public license version 3 or any later version approved by the KDE Free
+## Qt Foundation. The licenses are as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
+## included in the packaging of this file. Please review the following
+## information to ensure the GNU General Public License requirements will
+## be met: https://www.gnu.org/licenses/gpl-2.0.html and
+## https://www.gnu.org/licenses/gpl-3.0.html.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/mimersql.sh" "openssl-3" "rpm"